SDL_HINT_JOYSTICK_WGI(3)

NAME
SDL_HINT_JOYSTICK_WGI - A variable controlling whether Windows.Gaming.Input should be used for controller handling.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_WGI "SDL_JOYSTICK_WGI"

DESCRIPTION
The variable can be set to the following values:

• "0": WGI is not used. (default)

• "1": WGI is used.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.